onEvent('recipes', event => {
	event.remove({id: 'minecraft:torch_from_animal_oil_bottle'})
	event.remove({id: 'byg:torch_from_byg_coals'})
	event.remove({id: 'born_in_chaos_v1:fire_dust_k_1'})
	event.remove({output: 'minecraft:campfire'})
	// крафт верстака
	event.remove({output: 'minecraft:crafting_table'})
	
	event.shaped('minecraft:crafting_table', [
		'SK ',
		'LL '
	  ], {
		S: '#notreepunching:saws',
		K: '#notreepunching:knives',
		L: '#forge:stripped_logs'
	  }).damageIngredient(Item.of('#notreepunching:knives').ignoreNBT).damageIngredient(Item.of('#notreepunching:saws'))
	  
	  Item.of("kubejs:saw")
	  
	event.shaped('minecraft:crafting_table', [
		'SK ',
		'LL '
	  ], {
		S: Item.of('notreepunching:flint_axe').ignoreNBT(),
		K: '#notreepunching:knives',
		L: '#forge:stripped_logs'
	  }).damageIngredient(Item.of('notreepunching:flint_axe')).damageIngredient(Item.of('#notreepunching:knives').ignoreNBT)
	  
	  event.shaped('minecraft:crafting_table', [
		'SK ',
		'LL '
	  ], {
		S: '#notreepunching:saws',
		K: '#notreepunching:knives',
		L: '#forge:stripped_wood'
	  }).damageIngredient(Item.of('#notreepunching:knives').ignoreNBT).damageIngredient(Item.of('#notreepunching:saws'))
	  
	  Item.of("kubejs:saw")
	  
	event.shaped('minecraft:crafting_table', [
		'SK ',
		'LL '
	  ], {
		S: Item.of('notreepunching:flint_axe').ignoreNBT(),
		K: '#notreepunching:knives',
		L: '#forge:stripped_wood'
	  }).damageIngredient(Item.of('notreepunching:flint_axe')).damageIngredient(Item.of('#notreepunching:knives').ignoreNBT)
	
	//
	//Изменяем крафт печи
	//
	event.remove({output: 'farmersdelight:stove'})
	event.shaped('1x farmersdelight:stove', [
		'III',
		'B B',
		'BCB'
	  ], {
		I: 'minecraft:iron_ingot',
		B: 'minecraft:bricks',
		C: 'mekanism:block_charcoal'
	  })
	  
	event.remove({output: 'hardcore_torches:fire_starter'})
	event.shaped('3x hardcore_torches:fire_starter', [
		'SP ',
		'PP ',
		'   '
	  ], {
		S: '#forge:string',
		P: 'minecraft:stick'
	  })
	  
	event.remove({output: 'minecraft:furnace'})
	event.shaped('1x minecraft:furnace', [
		'BBB',
		'B B',
		'BBB'
	  ], {
		B: 'minecraft:brick'
	  })
	event.shaped('1x minecraft:furnace', [
		'BBB',
		'B B',
		'BBB'
	  ], {
		B: 'minecraft:nether_brick'
	  })
	
	// факел душ
	event.remove({output: 'minecraft:soul_torch'})
	event.shaped('1x minecraft:soul_torch', [
		' C ',
		' R ',
		' S '
	  ], {
		C: '#minecraft:coals',
		R: '#forge:rods/wooden',
		S: '#minecraft:soul_fire_base_blocks'
	  })
	  
	// факел эфира
	event.remove({output: 'malum:iridescent_ether_torch'})
	event.shaped('1x malum:iridescent_ether_torch', [
		' C ',
		' R '
	  ], {
		C: 'malum:iridescent_ether',
		R: '#forge:rods/wooden'
	  })
	
	// рецепты со стеклом
	event.remove({output: 'minecraft:glass_bottle'})
	event.shaped('1x minecraft:glass_bottle', [
		'S S',
		' S '
	  ], {
		S: '#quark:shards'
	  })
	  
	event.remove({output: 'supplementaries:jar'})
	event.shaped('1x supplementaries:jar', [
		'SWS',
		'S S',
		'SSS'
	  ], {
		S: '#quark:shards',
		W: '#minecraft:wooden_slabs'
	  })
	  
	event.remove({output: 'minerslung:soulfire_bottle'})
	event.shaped('1x minerslung:soulfire_bottle', [
		' C ',
		'SFS',
		' S '
	  ], {
		C: '#minecraft:coals',
		S: '#quark:shards',
		F: '#notreepunching:fire_starter_soul_fire_catalyst'
	  })
	event.shaped('3x minerslung:soulfire_bottle', [
		'BBB',
		'FC '
	  ], {
		C: '#minecraft:coals',
		B: 'minecraft:glass_bottle',
		F: '#notreepunching:fire_starter_soul_fire_catalyst'
	  })
	
	event.remove({id: 'minecraft:bread'});
	event.remove({id: 'quark:tweaks/crafting/utility/bent/bread'});
	
	event.remove({id: 'minecraft:sugar_from_sugar_cane'});
	event.remove({id: 'minecraft:paper'});
	event.remove({id: 'quark:tweaks/crafting/utility/bent/paper'});
	event.remove({id: 'mekanism:paper'});
	event.remove({id: 'farmersdelight:paper_from_tree_bark'});
	event.remove({id: 'immersive_weathering:paper_from_birch_bark'});
	event.shaped('1x minecraft:paper', [
		'BB ',
		'B  '
	  ], {
		B: 'immersive_weathering:birch_bark'
	  })
	
	event.remove({id: 'minecraft:stone_bricks'});
	event.remove({id: 'notreepunching:oak_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:spruce_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:birch_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:dark_oak_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:acacia_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:jungle_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:warped_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:crimson_planks_with_flint_axe'});
	event.remove({id: 'notreepunching:sticks_from_logs_with_flint_axe'});
	event.remove({id: 'notreepunching:sticks_from_planks_with_flint_axe'});
	
	event.remove({output: 'notreepunching:clay_tool'})
	event.shaped('1x notreepunching:clay_tool', [
		' S ',
		'SS '
	  ], {
		S: '#forge:rods/wooden'
	  })
	
	event.remove({output: 'minecraft:shield'})
	event.shaped('1x minecraft:shield', [
		'IPI',
		'IPI',
		'IHI'
	  ], {
		P: '#minecraft:planks',
		I: 'minecraft:iron_ingot',
		H: 'minecraft:tripwire_hook'
	  })
})